summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2018-03-14 09:25:32 +0100
committerMichał Górny <mgorny@gentoo.org>2018-03-14 09:31:07 +0100
commit45467ee08a716447d18ef1f4ec7f1b2bf37c0664 (patch)
tree13485bfbb45a79ac178f87461a6aad1c140ad19f /app-arch
parentdev-lang/ruby: stable 2.3.6 for ppc, bug #639476 (diff)
downloadgentoo-45467ee08a716447d18ef1f4ec7f1b2bf37c0664.tar.gz
gentoo-45467ee08a716447d18ef1f4ec7f1b2bf37c0664.tar.bz2
gentoo-45467ee08a716447d18ef1f4ec7f1b2bf37c0664.zip
app-arch/xarchiver: Bump to 0.5.4.13
Diffstat (limited to 'app-arch')
-rw-r--r--app-arch/xarchiver/Manifest1
-rw-r--r--app-arch/xarchiver/xarchiver-0.5.4.13.ebuild59
2 files changed, 60 insertions, 0 deletions
diff --git a/app-arch/xarchiver/Manifest b/app-arch/xarchiver/Manifest
index 41cce5c0d2b..99536b60a36 100644
--- a/app-arch/xarchiver/Manifest
+++ b/app-arch/xarchiver/Manifest
@@ -1,3 +1,4 @@
DIST xarchiver-0.5.4.11_p20170629.tar.gz 1052723 BLAKE2B c4f0b0ae634b6c11ea15d9231a2e55e91ecb4f41b571611f42c046f2d70f0598711ac80516a5130a03ae091a9c2477d12e17ba7c22092437a4013b0afdfe1273 SHA512 e63e9ddd98c5ec5708b74e993cb1901835c133e220ba95aa5a07cca01660fab5894533c57b39223db6155e2fc0ea014ce6eede853ebaf067de27f1e77c5e023f
DIST xarchiver-0.5.4.12.tar.gz 1074764 BLAKE2B 65d8968a470f7ea607fcbb1e2ff3b6c54ff8e521df1ca0cd29d3b7fc7b84d2ad5e2b9987bfb482979c7099d62287c463317d524cadc4a03d6b80ae61d28bfcc2 SHA512 18d177efed810576ee4dc4bc379817cbff390bcbfc541652d8288545bbb4a0e29b2136364e8675814a2780d06e2c5537ca4451a1c73a6becd45e1c0de7ba4554
+DIST xarchiver-0.5.4.13.tar.gz 1079259 BLAKE2B c824e81182a6105d24fe85d148fb7e71c2ae761948421bacf7af240e4b2a381582ab5db46c29ee3b2daf01f710696ee53a93a0a2923923083c177e9473bee4f1 SHA512 ace6b3bade20f517c63a035022944d092868e4c000976ef388a3ee70ef8a28177ee20cfb089d0984e9274722c4ec13d129fd7a4ef542e7b5cd4423c26ad5b849
DIST xarchiver-0.5.4.tar.bz2 1003045 BLAKE2B 6f1303c1d1b09a60616977c04c771cac78a25c756fbac538401e22e4fe3a808f990848d83041d5c5ceb667e30b5bb1d694318f0d21953201047fefdfc9afeb2c SHA512 3b767c2601d94104e2fc72aa8d168afa5a154b5747a9b0518d1c348417e56e4c19d872a0029fb78decc897e0f3bc9573e17d0317b85f584e7275b0e519f5f30d
diff --git a/app-arch/xarchiver/xarchiver-0.5.4.13.ebuild b/app-arch/xarchiver/xarchiver-0.5.4.13.ebuild
new file mode 100644
index 00000000000..5ddc2bd57e8
--- /dev/null
+++ b/app-arch/xarchiver/xarchiver-0.5.4.13.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools gnome2-utils xdg-utils
+
+DESCRIPTION="A GTK+ archive manager that can be used with Thunar"
+HOMEPAGE="https://github.com/ib/xarchiver"
+SRC_URI="https://github.com/ib/xarchiver/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc"
+
+RDEPEND=">=dev-libs/glib-2:=
+ x11-libs/gtk+:3="
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig
+ doc? (
+ app-text/docbook-xml-dtd
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxml2
+ dev-libs/libxslt
+ )"
+
+src_prepare() {
+ sed -e '/COPYING/d' -e '/NEWS/d' -i doc/Makefile.am || die
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ $(use_enable doc)
+ )
+ econf "${myconf[@]}"
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+
+ elog "You need external programs for some formats, including:"
+ elog "7zip - app-arch/p7zip"
+ elog "arj - app-arch/unarj app-arch/arj"
+ elog "lha - app-arch/lha"
+ elog "lzop - app-arch/lzop"
+ elog "rar - app-arch/unrar app-arch/rar"
+ elog "zip - app-arch/unzip app-arch/zip"
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}